package com.mcwl.memberCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.memberCenter.domain.Member;

import java.util.List;

public interface MemberService extends IService<Member> {

    /**
     * 创建用户会员
     *
     * @param userId   用户id
     * @param memberLevelId 会员等级id
     * @return 用户会员
     */
    Member createUserMember(Long userId, Long memberLevelId, String paymentMethod);

    /**
     *
     * @return 获取正常的正在使用的用户会员集合
     */
    List<Member> getUseUserMember();

    /**
     * 根据用户id获取正常的正在使用的用户会员
     * @param userId 用户id
     * @return 用户会员
     */
    Member getUseUserMemberByUserId(Long userId);


    Member rechargePoints(Long userId, Double points);
}
