package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.common.domain.resource
 * @Filename：MallProductComment
 * @Description TODO
 * @Date：2024/12/30 17:22
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("mall_product_comment")
public class MallProductComment extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    @TableId
    private Long Id;
    /**
     * 父评论ID
     */
    private Integer parentId;
    /**
     * 商品ID
     */
    private Integer productId;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 评分
     */
    private Integer rating;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;




}
