package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.domain.IdsParam;
import com.mcwl.resource.domain.MallProduct;
import com.mcwl.resource.domain.vo.MallProductVo;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service
 * @Filename：MallProductServiceImpl
 * @Description TODO
 * @Date：2024/12/30 18:20
 */
public interface MallProductService extends IService<MallProduct> {

    List<MallProduct> selectMallProductList(MallProduct sysJob);

    String selectMallProductById(Long mallProductId);


    int insertMallProduct(MallProduct mallProduct);

    int updateMallProduct(MallProduct mallProduct);


    void deleteMallProductByIds(IdsParam ids);

    Page<MallProduct> selectByUserId(MallProductVo mallProductVo);

    Page<MallProduct> pageLike(MallProductVo mallProductVo, List<Long> list);
}
