package com.mcwl.memberCenter;

import com.mcwl.McWlApplication;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.memberCenter.consumer.EmptyPointsRemindConsumer;
import com.mcwl.memberCenter.service.MemberLevelService;
import com.mcwl.memberCenter.service.MemberService;
import com.mcwl.memberCenter.task.UserMemberTask;
import com.mcwl.web.controller.memberCenter.MemberController;
import com.mcwl.web.controller.memberCenter.MemberLevelController;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = McWlApplication.class)
public class MemberCenterTest {


    @Autowired
    private MemberLevelService memberLevelService;

    @Autowired
    private MemberController memberController;

    @Autowired
    private MemberService memberService;

    @Autowired
    private UserMemberTask userMemberTask;

    @Autowired
    private MemberLevelController memberLevelController;

    @Autowired
    private EmptyPointsRemindConsumer emptyPointsRemindConsumer;
    @Test
    public void createUserMember() {
        System.out.println(memberService.createUserMember(1L, 1013L, "wechat"));
    }

    @Test
    public void emptyPointsTaskTest() {
        userMemberTask.emptyPointsTsk();
    }

    @Test
    public void updateSubscriptionStatusTaskTest() {
        userMemberTask.updateSubscriptionStatusTask();
    }


    @Test
    public void memberServiceTest() {
        System.out.println(memberLevelService.list());
    }

    @Test
    public void getPointsTest() {
        AjaxResult points = memberController.getPoints();
        System.out.println("points = " + points);
    }

    @Test
    public void getMemberLevelListTest() {
        System.out.println("memberLevelController.getMemberBenefitList() = " + memberLevelController.getMemberBenefitList());
    }

}
