package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 关注表
 *
 * @author DaiZibo
 * @date 2025/1/3
 * @apiNote
 */

@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class SysUserAttention {

    @TableId
    private Long id;

    private Long userId;

    private Long toUserId;

    private String createName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
